Package ghidra.program.model.listing

# Class FunctionSignatureImpl

java.lang.Object
ghidra.program.model.data.AbstractDataType
ghidra.program.model.data.DataTypeImpl
ghidra.program.model.data.GenericDataType
ghidra.program.model.data.FunctionDefinitionDataType
ghidra.program.model.listing.FunctionSignatureImpl

All Implemented Interfaces:
  `DataType`, `FunctionDefinition`, `FunctionSignature`

@Deprecated public class FunctionSignatureImpl extends FunctionDefinitionDataType
Deprecated.
FunctionDefinitionDataType should be used for defining a function signature
Implementation of a Function Signature. All the information about a function that is portable from one program to another.

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.data.DataTypeImpl

  `defaultSettings`

  ### Fields inherited from class ghidra.program.model.data.AbstractDataType

  `categoryPath, dataMgr, EMPTY_TYPEDEF_DEFINITIONS, name`

  ### Fields inherited from interface ghidra.program.model.data.DataType

  `CONFLICT_SUFFIX, DEFAULT, NO_LAST_CHANGE_TIME, NO_SOURCE_SYNC_TIME, TYPEDEF_ATTRIBUTE_PREFIX, TYPEDEF_ATTRIBUTE_SUFFIX, VOID`

  ### Fields inherited from interface ghidra.program.model.listing.FunctionSignature

  `NORETURN_DISPLAY_STRING, VAR_ARGS_DISPLAY_STRING, VOID_PARAM_DISPLAY_STRING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionSignatureImpl(Function function)`
  Deprecated.
  Create a Function Definition based on a Function.
  `FunctionSignatureImpl(Function function, boolean formalSignature)`
  Deprecated.
  Create a Function Definition based on a Function
  `FunctionSignatureImpl(FunctionSignature signature)`
  Deprecated.
  Creates new FunctionSignatureImpl based upon an existing function signature.
  `FunctionSignatureImpl(String name)`
  Deprecated.
  Creates new FunctionSignatureImpl with the given name, default return type and no parameters.

- ## Method Summary

  ### Methods inherited from class ghidra.program.model.data.FunctionDefinitionDataType

  `clone, copy, dataTypeDeleted, dataTypeNameChanged, dataTypeReplaced, dataTypeSizeChanged, dependsOn, getArguments, getCallingConvention, getCallingConventionName, getComment, getDescription, getLength, getMnemonic, getPrototypeString, getPrototypeString, getRepresentation, getReturnType, getValue, hasNoReturn, hasVarArgs, isEquivalent, isEquivalentSignature, replaceArgument, setArguments, setCallingConvention, setComment, setGenericCallingConvention, setNoReturn, setReturnType, setVarArgs, toString`

  ### Methods inherited from class ghidra.program.model.data.GenericDataType

  `setCategoryPath, setName, setNameAndCategory`

  ### Methods inherited from class ghidra.program.model.data.DataTypeImpl

  `addParent, equals, getAlignedLength, getAlignment, getDefaultSettings, getLastChangeTime, getLastChangeTimeInSourceArchive, getParents, getSettingsDefinitions, getSourceArchive, getUniversalID, getValueClass, hashCode, notifyAlignmentChanged, notifyDeleted, notifyNameChanged, notifyParents, notifyReplaced, notifySizeChanged, removeParent, replaceWith, setDescription, setLastChangeTime, setLastChangeTimeInSourceArchive, setSourceArchive`

  ### Methods inherited from class ghidra.program.model.data.AbstractDataType

  `dataTypeAlignmentChanged, encodeRepresentation, encodeValue, getCategoryPath, getDataOrganization, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultLabelPrefix, getDefaultLabelPrefix, getDefaultOffcutLabelPrefix, getDisplayName, getName, getPathName, getTypeDefSettingsDefinitions, hasLanguageDependantLength, isDeleted, isEncodable, isNotYetDefined, isZeroLength`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.data.DataType

  `addParent, dataTypeAlignmentChanged, encodeRepresentation, encodeValue, getAlignedLength, getAlignment, getCategoryPath, getDataOrganization, getDataTypeManager, getDataTypePath, getDefaultAbbreviatedLabelPrefix, getDefaultLabelPrefix, getDefaultLabelPrefix, getDefaultOffcutLabelPrefix, getDefaultSettings, getDisplayName, getLastChangeTime, getLastChangeTimeInSourceArchive, getName, getParents, getPathName, getSettingsDefinitions, getSourceArchive, getTypeDefSettingsDefinitions, getUniversalID, getValueClass, hasLanguageDependantLength, isDeleted, isEncodable, isNotYetDefined, isZeroLength, removeParent, replaceWith, setCategoryPath, setDescription, setLastChangeTime, setLastChangeTimeInSourceArchive, setName, setNameAndCategory, setSourceArchive`

  ### Methods inherited from interface ghidra.program.model.listing.FunctionSignature

  `getName, hasUnknownCallingConventionName`

- ## Constructor Details

  - ### FunctionSignatureImpl

    public FunctionSignatureImpl(String name)
    Deprecated.
    Creates new FunctionSignatureImpl with the given name, default return type and no parameters.
    Parameters:
      `name` - the name of the function

  - ### FunctionSignatureImpl

    public FunctionSignatureImpl(FunctionSignature signature)
    Deprecated.
    Creates new FunctionSignatureImpl based upon an existing function signature.
    Parameters:
      `signature` - the signature of the function

  - ### FunctionSignatureImpl

    public FunctionSignatureImpl(Function function)
    Deprecated.
    Create a Function Definition based on a Function. The effective signature will be used where forced indirect and auto-params are reflected in the signature.
    Parameters:
      `function` - the function to use to create a Function Signature.

  - ### FunctionSignatureImpl

    public FunctionSignatureImpl(Function function, boolean formalSignature)
    Deprecated.
    Create a Function Definition based on a Function
    Parameters:
      `function` - the function to use to create a Function Signature.
      `formalSignature` - if true only original raw types will be retained and auto-params discarded (e.g., this, __return_storage_ptr__, etc.). If false, the effective signature will be used where forced indirect and auto-params are reflected in the signature. This option has no affect if the specified function has custom storage enabled.